import { useUiAdapter } from '../adapter/useUiAdapter';
const __VLS_props = withDefaults(defineProps(), { severity: 'info', dismissible: false });
const emit = defineEmits();
const adapter = useUiAdapter();
const __VLS_defaults = { severity: 'info', dismissible: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
const __VLS_0 = (__VLS_ctx.adapter.components.InlineMessage);
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onDismiss': {} },
    ...(__VLS_ctx.$props),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onDismiss': {} },
    ...(__VLS_ctx.$props),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.dismiss} */
    onDismiss: (...[$event]) => {
        return (__VLS_ctx.emit('dismiss'));
        // @ts-ignore
        [adapter, $props, emit,];
    },
};
var __VLS_7;
var __VLS_3;
var __VLS_4;
// @ts-ignore
[];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
